<template>
    <div class="record-log-component">
        <div class="mdTxt mt-30 mb-10">系統通知紀錄</div>

            <section class="record-log-card">
                <div class="record-log-card-date-container">
                    <div class="record-log-card-date-container-circle">
                        <div class="xxsTxt bold line-height">2021</div>
                        <div class="xxsTxt bold line-height">12/24</div>
                        <div class="xxsTxt mt-4 line-space">21:00</div>
                    </div>
                </div>
                    <div class="record-log-msg">發送約訪通知(mail)</div>
            </section>
            <div class="time-line"></div>

            <section class="record-log-card">
                <div class="record-log-card-date-container">
                    <div class="record-log-card-date-container-circle">
                        <div class="xxsTxt bold line-height">2021</div>
                        <div class="xxsTxt bold line-height">12/31</div>
                        <div class="xxsTxt mt-4 line-space">09:00</div>
                    </div>
                </div>
                    <div class="record-log-msg">發送約訪通知(mail)</div>
            </section>
            <div class="time-line"></div>

            <section class="more-log-action">
                <div class="pam-link-button--lg">展開看更多</div>
            </section>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator';

@Component
export default class AppointmentRecordList extends Vue {

}
</script>

<style lang="scss" scoped>
.record-log-component{
    display: flex;
    flex-direction: column;
    .record-log-card{
        display: flex;
        .record-log-card-date-container{
            position:relative;
            .record-log-card-date-container-circle{
                display: flex;
                flex-direction: column;
                width: 56px;
                height: 56px;
                border-radius: 50%;
                border:1px solid $PRIMARY_BLACK;
                justify-content: center;
                align-items: center;
                align-content: center;
            }
        }
    }
}
.mt-4{
    margin-top: 4px;
}
.line-space{
    letter-spacing: 1px;
}
.line-height{
    line-height:1.2;
}
.time-line{
    border-left: 1px solid black;
    height: 30px;
    margin-left: 28px;

}
.record-log-msg{
    margin-left: 13px;
    margin-top: 10px;
}
.more-log-action{
    display: flex;
    justify-content:flex-end;
}

</style>
